<?php 
require_once 'main.php';
require_once 'header.php';

$op=$_GET['op'];
$aid=$admininfo['0']['aid'];
$adminTasks_array=$admin->GetAdminTasks($aid);

switch ($op) {
	case 'add':
		//Give Access For Some tasks Edit
		$allow_edit_some_tasks=0;
		if (isset($_GET['tskid']) && !empty($adminTasks_array) && in_array($_GET['tskid'], $adminTasks_array))
			$allow_edit_some_tasks=1;
		

		if ($admininfo['0']['allow_add_task']==1 || $admininfo['0']['allow_edit_task']==1 || $allow_edit_some_tasks==1) 
		{


		$tskcode=$tsktitle=$tskdesc=$tskdone=$tskdone_date=$tskdone_aid=$tskcomments=$iid=$prjid="";
		$form_title="افزودن ماموریت جدید";



			if (isset($_POST['add'])) 
			{
				$tskcode=$_POST['tskcode'];
				if (preg_match('/^[اآبپتثئجچحخدذرزژسشصضطظعغفقکگلمنوهی\s]+$/', $tskcode)==1 || strpos($tskcode, " ")!==false) {
						$error="کد ماموریت مجاز نیست";
					}
				$tsktitle=$_POST['tsktitle'];
				$tskdesc=$_POST['tskdesc'];
				$tskdone=$_POST['tskdone'];
				if ($tskdone==1) {
					$tskdone_date=J2G($_POST['tskdone_date']);
					$tskdone_aid=$_POST['tskdone_aid'];
				}
				$tskcomments=htmlspecialchars($_POST['tskcomments']);
				if (isset($_POST['prjid'])) 
					$prjid=$_POST['prjid'];

				if (isset($_POST['iid']))
					$iid=$_POST['iid'];
				

				$tasklist = $task->GetInfo("tskcode",$tskcode);
				//icode validation
				if(count($tasklist)> 0)
				   $error= "کد ماموریت تکراری است";

			
				//Required Fields validation
				if (empty($tskcode) || empty($tsktitle) || empty($prjid) || empty($iid)) 
					$error="لطفا فیلدهای الزامی را پر نمایید";
				
					//Add Issue Access Denied
				if ($admininfo['0']['allow_add_task']==0)
					$error="دسترسی شما به این قسمت امکان پذیر نیست";

				if ($error==="") 
				{
			
					if($task->Add($aid , $prjid , $tskcode , $tsktitle , $tskdesc , $tskdone , $tskdone_date , $tskdone_aid , $tskcomments , $iid)==1)
					{
						$success="یک رکورد با موفقیت اضافه شد";
						$tskcode=$tsktitle=$tskdesc=$tskdone=$tskdone_date=$tskdone_aid=$tskcomments=$iid="";
					}
					else
					{
						$error="متاسفانه مشکلی در افزودن این رکورد به وجود آمده است";
					}
				}
				
			}


			elseif (isset($_POST['edit'])) 
			{
				if ($admininfo['0']['allow_edit_task']==1 || $allow_edit_some_tasks==1) 
				{
					$form_title="ویرایش ماموریت";
					$tskid=sprintf("%d",$_GET['tskid']);
					$taskInfo =$task->GetInfo("tskid",$tskid);
					$tskcode=$_POST['tskcode'];
					if (preg_match('/^[اآبپتثئجچحخدذرزژسشصضطظعغفقکگلمنوهی\s]+$/', $tskcode)==1 || strpos($tskcode, " ")!==false) {
							$error="کد ماموریت مجاز نیست";
						}
					$tsktitle=$_POST['tsktitle'];
					$tskdesc=$_POST['tskdesc'];
					$tskdone=$_POST['tskdone'];
					if ($tskdone==1) 
					{
						$tskdone_date=J2G($_POST['tskdone_date']);
						$tskdone_aid=$_POST['tskdone_aid'];
					}
					else
					{
						$tskdone_date="";
						$tskdone_aid="";
					}
					$tskcomments=htmlspecialchars($_POST['tskcomments']);
					if (isset($_POST['prjid'])) 
						$prjid=$_POST['prjid'];

					if (isset($_POST['iid']))
						$iid=$_POST['iid'];



					

					//Required Fields validation
					if (empty($tskcode) || empty($tsktitle) || empty($prjid)) 
						$error="لطفا فیلدهای الزامی را پر نمایید";

					//Required Fields validation
					if (empty($iid)) 
						$error="انتخاب حداقل یک مسئله برای این ماموریت الزامی است";

						//Edit Issue Access Denied
					if ($admininfo['0']['allow_edit_issue']==0 && $allow_edit_some_tasks==0)
						$error="دسترسی شما به این قسمت امکان پذیر نیست";
					

						if ($error==="") 
						{
					
							if($task->Update($prjid , $tskcode , $tsktitle , $tskdesc , $tskdone , $tskdone_date , $tskdone_aid , $tskcomments , $tskid)==1)
								
								$success="یک رکورد با موفقیت ویرایش شد";
								
							else
								$error="متاسفانه مشکلی در ویرایش این رکورد به وجود آمده است";
							
						
							$iid_array_old=$task->GetTaskIssues($tskid);
							if (isset($_POST['iid'])) 
							{
								$iid_array=$_POST['iid'];
								if (count($iid_array)==0) 
									$error="انتخاب حداقل یک مسئله الزامی است";
								else
								{
									$error="";
									$del_issues= array_diff($iid_array_old, $iid_array);
									foreach ($del_issues as $iid) 
									{
										if($task->DelTaskIssues($tskid,$iid)==1)
											$success="یک رکورد با موفقیت ویرایش شد";
										else
											$error="مشکلی در ویرایش رکورد به وجود آمد";
									}
									$add_issues= array_diff($iid_array,$iid_array_old);
									foreach ($add_issues as $iid) 
									{
										if($task->AddTaskIssues($tskid,$iid)==1)
											$success="یک رکورد با موفقیت ویرایش شد";
										else
											$error="مشکلی در ویرایش رکورد به وجود آمد";
									}
								}
							}
						}
				}
				//Edit issue Access Denied
				else
				{
				$error="دسترسی شما به این قسمت امکان پذیر نیست";	
				Failure("$error");
				}
			}


			elseif (isset($_GET['tskid'])) 
			{
				$form_title="ویرایش ماموریت";
				$tskid=sprintf("%d",$_GET['tskid']);
				$iid_array=$task->GetTaskIssues($tskid);
				$taskInfo =$task->GetInfo("tskid",$tskid);

				$tskcode=$taskInfo['0']['tskcode'];
				$tsktitle=$taskInfo['0']['tsktitle'];
				$tskdesc=$taskInfo['0']['tskdesc'];
				$tskdone=$taskInfo['0']['tskdone'];
				if ($tskdone==1) {
					$tskdone_date=G2JDATE($taskInfo['0']['tskdone_date']);
					$tskdone_aid=$taskInfo['0']['tskdone_aid'];
				}
				$tskcomments=$taskInfo['0']['tskcomments'];
				$prjid=$taskInfo['0']['prjid'];


			}

			if (!empty($error)) 
				Failure($error);
			
			if (!empty($success)) 
				Success($success);



			echo '
			<div class="path form-group col-md-12 col-sm-12">ماموریت ها <i class="fa fa-angle-double-left" aria-hidden="true"></i> '.(isset($_GET['tskid'])?'<a href="tasks.php?op=list">لیست و ویرایش ماموریت ها</a> <i class="fa fa-angle-double-left" aria-hidden="true"></i> ویرایش ماموریت':'<a href="tasks.php?op=add">افزودن ماموریت جدید</a>').'</div>
			<div class="indexframe1 form-group col-md-12 col-sm-12 col-xs-12">
			<center><h4>'.$form_title.'</h4></center>
			</div>';
			echo '
				<form action="" method="post" class="" >
					<div class="form-group col-md-6 col-sm-12 col-xs-12">
				 		<label for="tskcode">کد ماموریت<span class="required"> *</span>:</label>
				 		<input type="text" class="form-control ltr" id="tskcode" name="tskcode" autofocus value="'.$tskcode.'">
				 		<small class="done">&nbsp;<i class="fa fa-info-circle" aria-hidden="true"></i>&nbsp;کد ماموریت غیرتکراری، با حروف لاتین و بدون فاصله تایپ شود.<br></small>
					</div>
					<div class="form-group col-md-6 col-sm-12 col-xs-12">
				 		<label for="tsktitle">عنوان ماموریت<span class="required"> *</span>:</label>
				 		<input type="text" class="form-control " id="tsktitle" name="tsktitle" value="'.$tsktitle.'">
					</div>
					<div class="form-group col-md-12 col-sm-12 col-xs-12">
						<label for="tskdesc"> توصیف ماموریت:</label><br>
						<textarea id="tskdesc" name="tskdesc" class="form-control editor">'.$tskdesc.'</textarea>
					</div>

					<div class="form-group col-md-6 col-sm-12 col-xs-12 '.($admininfo['0']['allow_list_projects']==0 && $allow_edit_some_tasks==1?'hidden-object':'' ).' ">
					 	<label for="">'.(isset($_GET['tskid'])?'ویرایش پروژه مربوط به این ماموریت':'پروژه مربوط به این ماموریت <span class="required"> *</span>').':</label><br>
						<div class="form-group col-md-12 col-sm-12 col-xs-12 listcontainer">
					 ';
					 foreach ($projecnames as $projecname) 
					 {
					 	echo '
					 	<input onclick="loadVQs()" type="radio" data="bhnam" name="prjid" class="loadissues" id="prjid'.$projecname['prjid'].'" value="'.$projecname['prjid'].' " '.($prjid==$projecname['prjid']?'checked':'').' ><label for="prjid'.$projecname['prjid'].'">&nbsp;'.$projecname['prjtitle'].' ('.$projecname['prjcode'].')</label><br>
					 	';
					 }
					 echo'
					</div></div>

					
					<div  class="form-group  col-md-6 col-sm-12 col-xs-12  '.($admininfo['0']['allow_list_issues']==0 && $allow_edit_some_tasks==1?'hidden-object':'' ).' ">
					 	<label for="">'.(isset($_GET['tskid'])?'ویرایش مسئله های مربوط':'مسئله های انجام نشده<span class="required"> *</span>').':</label><br>
						<div id="vqs" name="vqs" class="form-group col-md-12 col-sm-12 col-xs-12 listcontainer">
					 	';
					 	if (isset($_GET['tskid'])) 
					 	{
					 		$query= "prjid=$prjid AND iarchive=0";
					 		$issuelist = $issue->GetListAll($query);
					 		if ($issuelist!=array()) {
					 		
					 		foreach ($issuelist as $issuename) 
					 		{
					 			echo '
					 			<input type="checkbox" name="iid['.$issuename['iid'].']" id="iid'.$issuename['iid'].'" value="'.$issuename['iid'].'" '.(isset($iid_array) && in_array($issuename['iid'],$iid_array)?'checked':'').' ><label for="iid'.$issuename['iid'].'">&nbsp;'.$issuename['ititle'].' ('.$issuename['icode'].')</label>
					 			'.($admininfo['0']['allow_edit_issue']==1?'<a href="issues.php?op=add&iid='.$issuename['iid'].'">&nbsp;<span class="green glyphicon glyphicon-edit"></span></a>':'').'
					 			<br>
					 			';
					 		}
					 		}
					 		else
					 		{
					 			echo "مسئله فعالی برای این پروژه موجود نیست!";
					 		}
					 	}


					 	echo'
					</div></div>
					<div class="form-group col-md-12 col-sm-12 col-xs-12"><label for="">  وضعیت اجرای این ماموریت:</label>
						<div class="form-group col-md-12 col-sm-12 col-xs-12 listcontainer">
							<div class="form-group col-md-4 col-sm-12 col-xs-12">
						 		<input type="radio" id="tskdone0" name="tskdone" '.(!isset($_GET['tskid']) || !empty($taskInfo) && $taskInfo['0']['tskdone']==0?'checked':'').' value="0">
						 		<label for="tskdone0">انجام نشده</label><br>
						 		<input type="radio" id="tskdone1" name="tskdone" '.(!empty($taskInfo) && $taskInfo['0']['tskdone']==1?'checked':'').' value="1">
						 		<label for="tskdone1"">انجام شد</label>
							</div>

							<div class="form-group col-md-4 col-sm-6 col-xs-12">
							    <label for="tskdone_date">تاریخ انجام ماموریت:</label>
							    <div class="controls">
							        <div class="input-append">
							            <input id="datepicker" class="input-small form-control ltr lock" type="text" value="'.$tskdone_date.'" name="tskdone_date" '.(!isset($_GET['tskid']) || !empty($taskInfo) && $taskInfo['0']['tskdone']==0?'disabled':'').'>
							        </div>
							    </div>
							</div>
							<script>
							    $(document).ready(function() {
							        $("#datepicker").datepicker();
							        $("#datepickerbtn").click(function(event) {
							            event.preventDefault();
							            $("#datepicker").focus();
							        })
							    });
							</script>
							<div class="form-group col-md-4 col-sm-6 col-xs-12">
						 		<label for="tskdone_aid">انجام دهنده:</label>
								<select id="tskdone_aid" name="tskdone_aid" class="form-control lock" '.(!isset($_GET['tskid']) || !empty($taskInfo) && $taskInfo['0']['tskdone']==0?'disabled':'').'>
								<option value="">&nbsp;---</option>
						 		';
						 		if ($admininfo['0']['allow_list_admins']==1) {
						 		
								    $adminslist=$admin->GetList();
								    foreach ($adminslist as $adminname) 
								    {
								      echo '
								      <option class="ltr" '.($taskInfo['0']['tskdone_aid']===$adminname['aid']?'selected':'').' value="'.$adminname['aid'].'">&nbsp;'.$adminname['ausername'].'</option>
								      ';
								    }
								}
								else
								{
									echo '
									<option class="ltr" value="'.$admininfo['0']['aid'].'">&nbsp;'.$admininfo['0']['ausername'].'</option>
									';
								}
						 		echo '
								</select>
							</div>
							';
							//TaskDone Report
							if (isset($_GET['tskid'])) 
							{
								if (isset($iid_array) && $taskInfo['0']['tskdone']==1) 
								{
								
									echo'
									<div class="form-group col-md-12 col-sm-12 col-xs-12 ">
									    <label for="">گزارش:</label><small class="done">&nbsp;<i class="fa fa-info-circle" aria-hidden="true"></i>&nbsp;رنگ سبز نمایانگر مسئله های انجام شده و رنگ قرمز نشانگر مسئله های انجام نشده هستند.</small>
									    <div class="controls alert alert-info">
									    این ماموریت در تاریخ فوق، روی مسئله '.(count($iid_array)>1?'های':'').'
									    ';
									    //show Issues Relate On This Task When Done
									$allIssuesName=$issue->GetFullNames();
									foreach ($allIssuesName as $IssueName) 
									{
									 	if (in_array($IssueName['iid'], $iid_array)) 
									  		echo ' &quot;<span class=" '.($IssueName['idone']==1?'green':'red').'""> '.$IssueName['ititle'].' </span>&quot; و';
									}

									echo'
									از پروژه &quot; '.$taskInfo['0']['prjtitle'].' &quot; انجام شده است.
									    </div>
									</div>';
								}
							}

						echo'
						</div>
					</div>
					<div class="form-group col-md-12 col-sm-12 col-xs-12">
						<label for="tskcomments"> توضیحات:</label><br>
						<textarea id="tskcomments" name="tskcomments" rows="5" class="form-control">'.$tskcomments.'</textarea>
					</div>
					<center>
						'.(isset($_GET['tskid'])?
						'<button type="submit" class="btn btn-info" name="edit"> ویرایش</button>':
						'<button type="submit" class="btn btn-success" name="add"> افزودن</button>').'
					</center>

				</form>


			';
		}
		//Add Project Access Denied
		else
		{
		$error="دسترسی شما به این قسمت امکان پذیر نیست";	
		Failure("$error");
		}
		break;
	




	case 'list':
	
	if ($admininfo['0']['allow_list_tasks']==1 || !empty($adminTasks_array)) 
	{
		$filter=$where="";
		$colorhint=0;
		$order="ORDER BY tskid";
		
		if (isset($_GET['show']))
			$show=htmlspecialchars($_GET['show']);
		else
			$show="undone";

		switch ($show) {
			case 'all':
			$query="";
				break;

			case 'undone':
			$query="WHERE `tskdone`=0";
				break;

			case 'done':
			$query="WHERE `tskdone`=1";
				break;

			default:
				$error="صفحه موردنظر یافت نشد";
				break;
		}
		
		$start=$page=0;
		if (isset($_POST['search']) && $_POST['where']!=="") 
		{
			$where=$_POST['where'];
			$filter=$_POST['filter'];

				switch ($show) {
					case 'all':
					if ($filter=="tskdone_date" || $filter=="tskdate")
					{
						$wherej=J2G($_POST['where']);
						$query = "WHERE $filter LIKE '%$wherej%'";
					}
					else
						$query = "WHERE $filter LIKE '%$where%'";
						break;

					case 'undone':
					if ($filter=="tskdone_date" || $filter=="tskdate")
					{
						$wherej=J2G($_POST['where']);
						$query = "WHERE `tskdone`=0 AND $filter LIKE '%$wherej%'";
					}
					else
						$query = "WHERE `tskdone`=0 AND $filter LIKE '%$where%'";
						break;

					case 'done':
					if ($filter=="tskdone_date" || $filter=="tskdate")
					{
						$wherej=J2G($_POST['where']);
						$query = "WHERE `tskdone`=1 AND $filter LIKE '%$wherej%'";
					}
					else
						$query = "WHERE `tskdone`=1 AND $filter LIKE '%$where%'";
						break;

					default:
						$error="فحه موردنظر یافت نشد";
						break;
				}
		}
		if (isset($_POST['search'])) 
		{
			if (isset($_POST['page'])) {
				$page=$_POST['page'];
			}
			else{
				$page=0;
			}
			$start= $page*$page_limit;
		}

		if (isset($_GET['order'])) 
		{
			if (isset($_GET['desc']))
				$sort="desc";
			else
				$sort="";
			
			$order = $_GET['order'];
			$order= "ORDER BY $order $sort";
		}

			$tasks = $task->ListTasks($query,$order,$limit="LIMIT $start,$page_limit");
			if ($tasks!=array()) {
				$tskdone_who=$admin->Getinfo('aid',$tasks['0']['tskdone_aid']);
			}
			$num_of_records=$task->RowCount($query);
			$num_of_pages = intval($num_of_records/$page_limit);
			$num_of_pages = ($num_of_records%$page_limit==0?$num_of_pages :$num_of_pages+1);
			if ($num_of_pages<$page)
				$page=0;
	
			echo'
			<div class="path form-group col-md-12 col-sm-12">ماموریت ها <i class="fa fa-angle-double-left" aria-hidden="true"></i> <a href="tasks.php?op=list">لیست و ویرایش ماموریت ها</a></div>
			<div class="container">
			  <ul class="nav nav-tabs responsive">
			    <li class="'.($show=="undone"?'active':'').'"><a onclick="location.href=\'tasks.php?op=list&show=undone\';" data-toggle="tab" href="#menu1">انجام نشده</a></li>
			    <li class="'.($show=="done"?'active':'').'"><a onclick="location.href=\'tasks.php?op=list&show=done\';" data-toggle="tab" href="#menu2">انجام شده</a></li>
			    <li class="'.($show=="all"?'active':'').'"><a onclick="location.href=\'tasks.php?op=list&show=all\';" data-toggle="tab" href="#home">همه موارد</a></li>
			  </ul>

			  <div class="tab-content responsive">
			    <div id="home" class="tab-pane fade in active">
			    </div>
			    <div id="menu1" class="tab-pane fade">
			    </div>
			    <div id="menu2" class="tab-pane fade">
			    </div>
			    <div id="menu3" class="tab-pane fade">
			    </div>
			  </div>
			<div>
			';

			echo '
				
				<form action="" method="post" class="form-inline">
					<input type="text" name="where" value="'.$where.'" class="form-control" autofocus placeholder="عنوان جستجو">
					<select name="filter" class="form-control">
						<option '.($filter=="prjtitle"?'selected':'').' value="prjtitle">پروژه</option>
						<option '.($filter=="tskcode"?'selected':'').' value="tskcode">کد ماموریت</option>
						<option '.($filter=="tsktitle"?'selected':'').' value="tsktitle">عنوان ماموریت</option>
						<option onclick="alert(\'درج تاریخ به شمسی و ترکیب <20-01-1396>.\')" '.($filter=="tskdate"?'selected':'').' value="tskdate">تاریخ درج</option>
						<option onclick="alert(\'درج اعداد 0 (برای انجام نشده) و 1 (برای انجام شده).\')" '.($filter=="tskdone"?'selected':'').' value="tskdone">انجام شده؟</option>
						<option onclick="alert(\'درج تاریخ به شمسی و ترکیب <20-01-1396>.\')" '.($filter=="tskdone_date"?'selected':'').' value="tskdone_date">تاریخ انجام</option>
						<option '.($filter=="ausername"?'selected':'').' value="ausername">مدیر</option>

						
					</select>
					<select name="page" class="form-control">
					';
					for ($i=0; $i < $num_of_pages ; $i++) { 
						echo ' 
							<option value="'.$i.'"'.($i==$page? 'selected':'').'>صفحه '.($i+1).'/'.($num_of_pages).'</option>					';
					}
					echo '
					</select>
					<input type="submit" value="برو!" name="search" class="btn btn-default"> '.($num_of_records==0?'هیچ رکوردی یافت نشد!':'').'
					
				</form>
				<div  class="table-responsive">
				<table class="table table-striped table-bordered table-hover table-condensed" border="1" style="margin-bottom: 145px;">
					<tr class="tablehead text-center">
						<th class="text-center" width="50px;">امکانات</th>
						<th class="text-center"><a href="?op=list&order=prjtitle'.(isset($_GET['desc'])?'':'&desc').'&show='.$show.'">پروژه '.($_GET['order']=="prjtitle"?''.(isset($_GET['desc'])?'<span class="glyphicon glyphicon-triangle-bottom"></span>':'<span class="glyphicon glyphicon-triangle-top"></span>').'':'').'</a></th>
						<th class="text-center"><a href="?op=list&order=tskcode'.(isset($_GET['desc'])?'':'&desc').'&show='.$show.'">کد ماموریت '.($_GET['order']=="tskcode"?''.(isset($_GET['desc'])?'<span class="glyphicon glyphicon-triangle-bottom"></span>':'<span class="glyphicon glyphicon-triangle-top"></span>').'':'').'</a></th>
						<th class="text-center"><a href="?op=list&order=tsktitle'.(isset($_GET['desc'])?'':'&desc').'&show='.$show.'">عنوان ماموریت '.($_GET['order']=="tsktitle"?''.(isset($_GET['desc'])?'<span class="glyphicon glyphicon-triangle-bottom"></span>':'<span class="glyphicon glyphicon-triangle-top"></span>').'':'').'</a></th>
						<th class="text-center"><a href="?op=list&order=tskdate'.(isset($_GET['desc'])?'':'&desc').'&show='.$show.'">تاریخ درج '.(!isset($_GET['order'])?'<span class="glyphicon glyphicon-triangle-bottom"></span>':'').' '.($_GET['order']=="tskdate"?''.(isset($_GET['desc'])?'<span class="glyphicon glyphicon-triangle-bottom"></span>':'<span class="glyphicon glyphicon-triangle-top"></span>').'':'').'</a></th>
						<th class="text-center"><a href="?op=list&order=tskdone'.(isset($_GET['desc'])?'':'&desc').'&show='.$show.'">انجام شده؟ '.($_GET['order']=="tskdone"?''.(isset($_GET['desc'])?'<span class="glyphicon glyphicon-triangle-bottom"></span>':'<span class="glyphicon glyphicon-triangle-top"></span>').'':'').'</a></th>
						<th class="text-center"><a href="?op=list&order=tskdone_date'.(isset($_GET['desc'])?'':'&desc').'&show='.$show.'">تاریخ انجام '.($_GET['order']=="tskdone_date"?''.(isset($_GET['desc'])?'<span class="glyphicon glyphicon-triangle-bottom"></span>':'<span class="glyphicon glyphicon-triangle-top"></span>').'':'').'</a></th>
						<th class="text-center"><a href="?op=list&order=ausername'.(isset($_GET['desc'])?'':'&desc').'&show='.$show.'">مدیر '.($_GET['order']=="ausername"?''.(isset($_GET['desc'])?'<span class="glyphicon glyphicon-triangle-bottom"></span>':'<span class="glyphicon glyphicon-triangle-top"></span>').'':'').'</a></th>
					</tr>
			';


			foreach ($tasks as $taskInfo) {
			if($admininfo['0']['allow_list_tasks']==1)
			{
			    echo '
					<tr>
						<td>
							<div class="btn-group">
							  <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
							   <span class="glyphicon glyphicon-option-vertical"></span>
							  </button>
							  <ul class="'.($admininfo['0']['allow_edit_task']==0 && $admininfo['0']['allow_delete_task']==0 && $admininfo['0']['allow_list_issues']==0 && empty($adminTasks_array)?'':'dropdown-menu').' '.($dir==0?'dropdown-menu-right':'dropdown-menu-left').'" style="text-align:'.($dir==0?'right':'left').';">
							  '.($admininfo['0']['allow_edit_task']==1 || !empty($adminTasks_array)?'<li><a href="?op=add&tskid='.$taskInfo['tskid'].'"><span class="glyphicon glyphicon-edit text-info"></span> ویرایش</a></li>':'').'
							  '.($admininfo['0']['allow_delete_task']==1?'<li><a onclick="return Sure();" href="?op=delete&tskid='.$taskInfo['tskid'].'&show='.$show.'"><span class="red glyphicon glyphicon-remove"></span> حذف</a></li>':'').'
							  '.($admininfo['0']['allow_list_issues']==1 && $taskInfo['tskdone']==0 ?'<li><a href="" class="issuedone"  data-toggle="modal" data="'.$taskInfo['tskid'].'" data-target="#taskDone" onclick="loadTaskDoneModal()" ><i class="green fa fa-check" aria-hidden="true">&nbsp;</i> انجام شد</a></li>':'').'
							  '.($admininfo['0']['allow_list_issues']==1?'<li><a href="#" class="issueload"  data-toggle="modal" data="'.$taskInfo['tskid'].'" data-target="#issuesModal" onclick="loadIssuesModal()" ><i class="done fa fa-quote-right" aria-hidden="true">&nbsp;</i> مسئله‌های مربوط</a></li>':'').'
							  '.($admininfo['0']['allow_list_tasks']==1?'<li><a target="_blank" href="?op=print&tskid='.$taskInfo['tskid'].'"><i class="done fa fa-print" aria-hidden="true"></i> چاپ</a></li>':'').'
							  </ul>
							</div>
						</td>
						<td><img src="./upload/projects_logo/'.($taskInfo['prjlogo']==""?'default.png':''.$taskInfo['prjlogo'].'').'" width="30" hieght="30"> '.$taskInfo['prjtitle'].'</td>
						<td class="ltr '.($show=="all" && $taskInfo['tskdone']==1?'done '.($colorhint=1).' ':'').'">'.$taskInfo['tskcode'].'</td>
						<td class="'.($show=="all" && $taskInfo['tskdone']==1?'done':'').'">'.$taskInfo['tsktitle'].'</td>
						<td class="ltr '.($show=="all" && $taskInfo['tskdone']==1?'done':'').'">'.G2J($taskInfo['tskdate']).'</td>
						<td class="text-center">'.($taskInfo['tskdone']==1?'<img src="./images/checked.png" width="20">':'<img src="./images/cancel.png" width="20">').'</td>
						<td class="ltr text-center '.($show=="all" && $taskInfo['tskdone']==1?'done':'').'">'.($taskInfo['tskdone_date']==""?'<img src="./images/cancel.png" width="20">':G2JDATE($taskInfo['tskdone_date'])).'</td>
						<td class="ltr">'.$taskInfo['ausername'].'</td>
						
					</tr>

				';
			}
			else
			{
				if (in_array($taskInfo['tskid'], $adminTasks_array)) 
				{
				echo '
					<tr>
						<td>
							<div class="btn-group">
							  <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
							   <span class="glyphicon glyphicon-option-vertical"></span>
							  </button>
							  <ul class="'.($admininfo['0']['allow_edit_task']==0 && $admininfo['0']['allow_delete_task']==0 && $admininfo['0']['allow_list_issues']==0 && empty($adminTasks_array)?'':'dropdown-menu').' '.($dir==0?'dropdown-menu-right':'dropdown-menu-left').'" style="text-align:'.($dir==0?'right':'left').';">
							  '.($admininfo['0']['allow_edit_task']==1 || !empty($adminTasks_array)?'<li><a href="?op=add&tskid='.$taskInfo['tskid'].'"><span class="glyphicon glyphicon-edit text-info"></span> ویرایش</a></li>':'').'
							  '.($admininfo['0']['allow_delete_task']==1?'<li><a onclick="return Sure();" href="?op=delete&tskid='.$taskInfo['tskid'].'&show='.$show.'"><span class="red glyphicon glyphicon-remove"></span> حذف</a></li>':'').'
							  '.($admininfo['0']['allow_list_issues']==1 && $taskInfo['tskdone']==0 ?'<li><a href="" class="issuedone"  data-toggle="modal" data="'.$taskInfo['tskid'].'" data-target="#taskDone" onclick="loadTaskDoneModal()" ><i class="green fa fa-check" aria-hidden="true">&nbsp;</i> انجام شد</a></li>':'').'
							  '.($admininfo['0']['allow_list_issues']==1?'<li><a href="#" class="issueload"  data-toggle="modal" data="'.$taskInfo['tskid'].'" data-target="#issuesModal" onclick="loadIssuesModal()" ><i class="done fa fa-quote-right" aria-hidden="true">&nbsp;</i> مسئله‌های مربوط</a></li>':'').'
							  '.($admininfo['0']['allow_list_tasks']==1?'<li><a target="_blank" href="?op=print&tskid='.$taskInfo['tskid'].'"><i class="done fa fa-print" aria-hidden="true"></i> چاپ</a></li>':'').'
							  </ul>
							</div>
						</td>
						<td class="info">'.$taskInfo['prjtitle'].'</td>
						<td class="ltr '.($show=="all" && $taskInfo['tskdone']==1?'done '.($colorhint=1).' ':'').'">'.$taskInfo['tskcode'].'</td>
						<td class="'.($show=="all" && $taskInfo['tskdone']==1?'done':'').'">'.$taskInfo['tsktitle'].'</td>
						<td class="ltr '.($show=="all" && $taskInfo['tskdone']==1?'done':'').'">'.G2J($taskInfo['tskdate']).'</td>
						<td class="text-center">'.($taskInfo['tskdone']==1?'<img src="./images/checked.png" width="20">':'<img src="./images/cancel.png" width="20">').'</td>
						<td class="ltr text-center '.($show=="all" && $taskInfo['tskdone']==1?'done':'').'">'.($taskInfo['tskdone_date']==""?'<img src="./images/cancel.png" width="20">':G2JDATE($taskInfo['tskdone_date'])).'</td>
						<td class="ltr">'.$taskInfo['ausername'].'</td>
						
					</tr>
				';
			    }
			}
			}

			echo '</table></div>';
			//When Show Color Hint
			if ($show=="all" && $colorhint==1)
				echo '<small class="done">&nbsp;<i class="fa fa-info-circle" aria-hidden="true"></i>&nbsp;در این جدول ماموریت های کمرنگ تر نمایانگر ماموریت های انجام شده هستند.</small>';
			//Modal To Show Issues of Selected Task
			echo '
				<!-- Modal -->
				<div id="modalBox"></div>
				  <div class="modal fade" id="issuesModal" role="dialog">
				    <div class="modal-dialog modal-md">
				      <div class="modal-content">
				        <div class="modal-header">
				          <h5 class="modal-title">مسئله های مربوط به این ماموریت:</h5>
				          <small class="done">&nbsp;<i class="fa fa-info-circle" aria-hidden="true"></i>&nbsp;علامت <i class="fa fa-toggle-on" aria-hidden="true"></i>
				          		 نشانگر مسئله های انجام شده است.
				          </small>
				        </div>
				        <div class="modal-body">
				        <form id="modal-form">
				          <input type="hidden" id="tskid_modal" name="tskid_modal">
				        </form>
				        </div>
				        <div class="modal-footer">
				          <button type="button" class="btn btn-default" data-dismiss="modal">تایید</button>
				        </div>
				      </div>
				    </div>
				  </div>

			';
			//Modal To Done Selected Task
			echo '
				<!-- Modal -->
				<div id="modalBox2"></div>
				  <div class="modal fade" id="taskDone" role="dialog">
				    <div class="modal-dialog modal-md">
				      <div class="modal-content">
				        <div class="modal-body">
				        <form id="modal-form2">
				          <input type="hidden" id="tskid_modal" name="tskid_modal">
				        </form>
				        </div>
				        <div class="modal-footer">
				          <button type="button" class="btn btn-default" data-dismiss="modal" onclick="window.location.reload()">تایید</button>
				        </div>
				      </div>
				    </div>
				  </div>

			';

	}
	//List Project Access Denied
	else
	{
		$error="دسترسی شما به این قسمت امکان پذیر نیست";	
		Failure("$error");
	}
	break;

	case 'print':
		if ($admininfo['0']['allow_list_tasks']==1) 
		{
			if (!isset($_GET['tskid'])) {
				$error="صفحه مورد نظر یافت نشد";	
				Failure("$error");
			}
			else{
				$tskid=$_GET['tskid'];
				echo'
				<div class="path form-group col-md-12 col-sm-12">ماموریت ها <i class="fa fa-angle-double-left" aria-hidden="true"></i> <a href="tasks.php?op=list">لیست و ویرایش ماموریت ها</a> <i class="fa fa-angle-double-left" aria-hidden="true"></i> چاپ ماموریت</div>
				<div class="col-md-6 col-sm-12 col-md-pull-3">
				<div class="indexframe1 form-group col-md-12 col-sm-12 col-xs-12">
				<center><h4>چاپ گزارش</h4></center>
				</div>';
				echo '
					<form action="options.php?op=print" method="post" class="" >
						<input type="hidden" name="tskid" value="'.$_GET['tskid'].'">
						<div class="form-group col-md-12 col-sm-12 col-xs-12">
					 		<label for="">نوع چاپ:</label><br>
					 		<input type="radio" id="printcolor0" name="printcolor" value="0" checked><label for="printcolor0">&nbsp;سیاه و سفید</label><br>
					 		<input type="radio" id="printcolor1" name="printcolor" value="1"><label for="printcolor1">&nbsp;رنگی</label>
						</div>
						<div class="form-group col-md-12 col-sm-12 col-xs-12">
					 		<label for="">مسئله های مربوط به این ماموریت:</label><br>
					 		<input type="radio" id="idetails0" name="idetails" value="0" checked><label for="idetails0">&nbsp;فهرست شوند</label><br>
					 		<input type="radio" id="idetails1" name="idetails" value="1"><label for="idetails1">&nbsp;با جزئیات چاپ شوند</label>
						</div>
						<div class="col-md-12 col-sm-12 col-xs-12">
							<center>
								<button type="submit" class="btn btn-success" name="add"> چاپ <i class="fa fa-print" aria-hidden="true"></i></button>
							</center>
						</div>
					</form></div>
				';
			}
		}
		else
		{
			$error="دسترسی شما به این قسمت امکان پذیر نیست";	
			Failure("$error");
		}

		break;

	case 'delete':

	if ($admininfo['0']['allow_delete_task']==1) 
	{
		if (isset($_GET['tskid'])) 
		{
			if (isset($_GET['show']))
				$show=htmlspecialchars($_GET['show']);
			else
				$show="all";

			$tskid=sprintf("%d",$_GET['tskid']);
			if($task->Delete($tskid)==1)
			{
				Success("رکورد مورد نظر با موفقیت حذف شد");
				echo'
				<a href="tasks.php?op=list&show='.$show.'">بازگشت</a>';
			}
			else{
				Failure("متاسفانه مشکلی در حذف رکورد مورد نظر بوجود آمد");
				echo'
				<a href="tasks.php?op=list&show='.$show.'">بازگشت</a>';
			}

		}

	}
	//Delete Project Access Denied
	else
	{
		$error="دسترسی شما به این قسمت امکان پذیر نیست";	
		Failure("$error");
	}
	break;

	default:
		$error="صفحه مورد نظر یافت نشد";	
		Failure("$error");
		break;
}
?>
<script>
	$(".issueload").click(function(){loadIssuesModal()
        $("#modal-form").html('<img src="./images/wait.gif">');
        var tskid= $(this).attr("data");
        $.ajax({
          url: 'aj.php' ,
          type: "POST",
          data: {op:"issues_modal",tskid:tskid},
          success: function(data,status) {
            $("#modal-form").html(data);
          },
          error: function() {$("#modal-form").html("problem in ajax")}
        });
	});
      function loadIssuesModal() {

      }
	$(".issuedone").click(function(){loadTaskDoneModal()
        $("#modal-form2").html('<img src="./images/wait.gif">');
        var tskid= $(this).attr("data");
        $.ajax({
          url: 'aj.php' ,
          type: "POST",
          data: {op:"issue_done",tskid:tskid},
          success: function(data,status) {
            $("#modal-form2").html(data);
          },
          error: function() {$("#modal-form2").html("problem in ajax")}
        });
	});
      function loadTaskDoneModal() {

      }
      function loadVQs() {
        $("#vqs").html('<img src="./images/wait.gif">');
        var prjid= $("input[name='prjid']:checked").val();
        $.ajax({
          url: "aj.php",
          type: "POST",
          data: {op:"issue_prjid",prjid:prjid},
          success: function(data,status) {
            $("#vqs").html(data);
          },
          error: function() {$("#vqs").html("problem in ajax")}
        });
      }
    $(document).ready(function () {
        $("#tskdone1").click(function () {
            $(".lock").prop("disabled", false);
        });
        $("#tskdone0").click(function () {
            $(".lock").prop("disabled", true);
        });
    });
</script>
<?php
include_once 'footer.php';
 ?>